#!/usr/local/bin/python

import sys

from pisces import asn1

try:
  # first try to use the faster cPickle module
  from cPickle import dump
except ImportError:
  from pickle import dump

dumpasn1cfg = sys.argv[1]

f=open(dumpasn1cfg,'r')
oids=asn1.parseCfg(f)
f.close()

# Try to read config file from a pickled copy
f=open(dumpasn1cfg+'.pickle','wb')
dump(oids,f,1)
f.close()
